[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.WndProc

Suppresses the CM_CHANGED control message when an emulated TextHint is visible.

## Declaration

Source position: stdctrls.pp line 833

`protected procedure TCustomEdit.WndProc(`
`var Message: TLMessage`
`); override;`

## Arguments

`Message` |  | Message examined and handled for the control.

## Description

WndProc is an overridden method in TCustomEdit. It ensures that the CM_CHANGED message is suppressed when an emulated TextHint is visible for the control. Otherwise, the inherited method is called to dispatch the control Message.

## See also

TWinControl.WndProc |  | Adds special handling for focus and input messages, and notifies the DockManager.